<?xml version="1.0" encoding="UTF-8"?>
<testsuite xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="https://maven.apache.org/surefire/maven-surefire-plugin/xsd/surefire-test-report-3.0.xsd" version="3.0" name="org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest" time="0.131" tests="8" errors="0" skipped="0" failures="0">
  <properties>
    <property name="awt.toolkit" value="sun.awt.X11.XToolkit"/>
    <property name="file.encoding.pkg" value="sun.io"/>
    <property name="java.specification.version" value="1.8"/>
    <property name="sun.cpu.isalist" value=""/>
    <property name="sun.jnu.encoding" value="UTF-8"/>
    <property name="java.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/test-classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql/target/stalactite-sql-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/reflection/1.1.2-SNAPSHOT/reflection-1.1.2-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.1-SNAPSHOT/tools-1.1.1-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/danekja/jdk-serializable-functional/1.8.2/jdk-serializable-functional-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-api/1.7.36/slf4j-api-1.7.36.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-collections4/4.4/commons-collections4-4.4.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/hsqldb/hsqldb/2.7.4/hsqldb-2.7.4-jdk8.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT-tests.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core-adapter/core-hsqldb-adapter/target/stalactite-core-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT-tests.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-reload4j/1.7.36/slf4j-reload4j-1.7.36.jar:/var/lib/jenkins/.m2/repository/ch/qos/reload4j/reload4j/1.2.19/reload4j-1.2.19.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-lang3/3.12.0/commons-lang3-3.12.0.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter/5.8.2/junit-jupiter-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-api/5.8.2/junit-jupiter-api-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/opentest4j/opentest4j/1.2.0/opentest4j-1.2.0.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-commons/1.8.2/junit-platform-commons-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/apiguardian/apiguardian-api/1.1.2/apiguardian-api-1.1.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-params/5.8.2/junit-jupiter-params-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-engine/5.8.2/junit-jupiter-engine-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-engine/1.8.2/junit-platform-engine-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.0/tools-1.1.0-tests.jar:/var/lib/jenkins/.m2/repository/com/google/code/findbugs/jsr305/3.0.2/jsr305-3.0.2.jar:/var/lib/jenkins/.m2/repository/org/mockito/mockito-core/4.3.1/mockito-core-4.3.1.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy/1.12.7/byte-buddy-1.12.7.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy-agent/1.12.7/byte-buddy-agent-1.12.7.jar:/var/lib/jenkins/.m2/repository/org/objenesis/objenesis/3.2/objenesis-3.2.jar:/var/lib/jenkins/.m2/repository/org/assertj/assertj-core/3.23.1/assertj-core-3.23.1.jar:"/>
    <property name="java.vm.vendor" value="Private Build"/>
    <property name="sun.arch.data.model" value="64"/>
    <property name="java.vendor.url" value="http://java.oracle.com/"/>
    <property name="user.timezone" value="Etc/UTC"/>
    <property name="java.vm.specification.version" value="1.8"/>
    <property name="os.name" value="Linux"/>
    <property name="user.country" value="FR"/>
    <property name="sun.java.launcher" value="SUN_STANDARD"/>
    <property name="sun.boot.library.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/amd64"/>
    <property name="sun.java.command" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire/surefirebooter-20260519053109587_110.jar /jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire 2026-05-19T05-30-38_739-jvmRun1 surefire-20260519053109587_108tmp surefire_4-20260519053109587_109tmp"/>
    <property name="surefire.test.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/test-classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql/target/stalactite-sql-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/reflection/1.1.2-SNAPSHOT/reflection-1.1.2-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.1-SNAPSHOT/tools-1.1.1-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/danekja/jdk-serializable-functional/1.8.2/jdk-serializable-functional-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-api/1.7.36/slf4j-api-1.7.36.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-collections4/4.4/commons-collections4-4.4.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/hsqldb/hsqldb/2.7.4/hsqldb-2.7.4-jdk8.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT-tests.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core-adapter/core-hsqldb-adapter/target/stalactite-core-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT-tests.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-reload4j/1.7.36/slf4j-reload4j-1.7.36.jar:/var/lib/jenkins/.m2/repository/ch/qos/reload4j/reload4j/1.2.19/reload4j-1.2.19.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-lang3/3.12.0/commons-lang3-3.12.0.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter/5.8.2/junit-jupiter-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-api/5.8.2/junit-jupiter-api-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/opentest4j/opentest4j/1.2.0/opentest4j-1.2.0.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-commons/1.8.2/junit-platform-commons-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/apiguardian/apiguardian-api/1.1.2/apiguardian-api-1.1.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-params/5.8.2/junit-jupiter-params-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-engine/5.8.2/junit-jupiter-engine-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-engine/1.8.2/junit-platform-engine-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.0/tools-1.1.0-tests.jar:/var/lib/jenkins/.m2/repository/com/google/code/findbugs/jsr305/3.0.2/jsr305-3.0.2.jar:/var/lib/jenkins/.m2/repository/org/mockito/mockito-core/4.3.1/mockito-core-4.3.1.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy/1.12.7/byte-buddy-1.12.7.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy-agent/1.12.7/byte-buddy-agent-1.12.7.jar:/var/lib/jenkins/.m2/repository/org/objenesis/objenesis/3.2/objenesis-3.2.jar:/var/lib/jenkins/.m2/repository/org/assertj/assertj-core/3.23.1/assertj-core-3.23.1.jar:"/>
    <property name="sun.cpu.endian" value="little"/>
    <property name="user.home" value="/var/lib/jenkins"/>
    <property name="user.language" value="fr"/>
    <property name="java.specification.vendor" value="Oracle Corporation"/>
    <property name="java.home" value="/usr/lib/jvm/java-8-openjdk-amd64/jre"/>
    <property name="basedir" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm"/>
    <property name="file.separator" value="/"/>
    <property name="line.separator" value="&#10;"/>
    <property name="java.vm.specification.vendor" value="Oracle Corporation"/>
    <property name="java.specification.name" value="Java Platform API Specification"/>
    <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment"/>
    <property name="surefire.real.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire/surefirebooter-20260519053109587_110.jar:/var/lib/jenkins/.m2/repository/org/jacoco/org.jacoco.agent/0.8.5/org.jacoco.agent-0.8.5-runtime.jar"/>
    <property name="sun.boot.class.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/resources.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/rt.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jsse.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jce.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/charsets.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jfr.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/classes"/>
    <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers"/>
    <property name="java.runtime.version" value="1.8.0_482-8u482-ga~us1-0ubuntu1~24.04-b08"/>
    <property name="user.name" value="jenkins"/>
    <property name="path.separator" value=":"/>
    <property name="os.version" value="6.8.0-107-generic"/>
    <property name="java.endorsed.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/endorsed"/>
    <property name="java.runtime.name" value="OpenJDK Runtime Environment"/>
    <property name="file.encoding" value="UTF-8"/>
    <property name="java.vm.name" value="OpenJDK 64-Bit Server VM"/>
    <property name="localRepository" value="/var/lib/jenkins/.m2/repository"/>
    <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/"/>
    <property name="java.io.tmpdir" value="/tmp"/>
    <property name="java.version" value="1.8.0_482"/>
    <property name="user.dir" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm"/>
    <property name="os.arch" value="amd64"/>
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification"/>
    <property name="java.awt.printerjob" value="sun.print.PSPrinterJob"/>
    <property name="sun.os.patch.level" value="unknown"/>
    <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib/x86_64-linux-gnu/jni:/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/jni:/lib:/usr/lib"/>
    <property name="java.vm.info" value="mixed mode"/>
    <property name="java.vendor" value="Private Build"/>
    <property name="java.vm.version" value="25.482-b08"/>
    <property name="java.specification.maintenance.version" value="6"/>
    <property name="java.ext.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/ext:/usr/java/packages/lib/ext"/>
    <property name="sun.io.unicode.encoding" value="UnicodeLittle"/>
    <property name="java.class.version" value="52.0"/>
  </properties>
  <testcase name="resolve_entityWithInheritance_onlyEntityInHierarchy_noJoiningTables" classname="org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest" time="0.012">
    <system-out><![CDATA[2026-05-19 05:31:20	DEBUG	DDLDeployer	create table E(propC integer GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1) not null, propE integer not null, propD integer not null, propB integer not null, propA integer not null, unique (propC))
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	insert into E(propE, propA, propB, propD, propC) values (?, ?, ?, ?, default) | {1={E.propB=0, E.propA=0, E.propE=0, E.propD=0}}
2026-05-19 05:31:20	DEBUG	SimpleRelationalEntityPersister	selecting entities [1]
2026-05-19 05:31:20	TRACE	SQLOperation	select E.propE as E_propE, E.propA as E_propA, E.propB as E_propB, E.propD as E_propD, E.propC as E_propC from E where E.propC in (?) | {1=1}
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:20	DEBUG	SimpleRelationalEntityPersister	selecting entities [1]
2026-05-19 05:31:20	TRACE	SQLOperation	select E.propE as E_propE, E.propA as E_propA, E.propB as E_propB, E.propD as E_propD, E.propC as E_propC from E where E.propC in (?) | {1=1}
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	update E set propE = ?, propA = ?, propB = ?, propD = ? where propC = ? | {1={E.propB (U)=0, E.propA (U)=0, E.propD (U)=42, E.propE (U)=0, E.propC (W)=1}}
2026-05-19 05:31:20	DEBUG	SimpleRelationalEntityPersister	selecting entities [1]
2026-05-19 05:31:20	TRACE	SQLOperation	select E.propE as E_propE, E.propA as E_propA, E.propB as E_propB, E.propD as E_propD, E.propC as E_propC from E where E.propC in (?) | {1=1}
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	delete from E where propC = ? | {1={E.propC=1}}
2026-05-19 05:31:20	TRACE	SQLOperation	select count(*) as count from E | {}
]]></system-out>
  </testcase>
  <testcase name="resolve_oneEntity" classname="org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest" time="0.009">
    <system-out><![CDATA[2026-05-19 05:31:20	DEBUG	DDLDeployer	create table E(propE integer GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1) not null, propD integer not null, unique (propE))
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	insert into E(propD, propE) values (?, default) | {1={E.propD=0}}
2026-05-19 05:31:20	DEBUG	SimpleRelationalEntityPersister	selecting entities [1]
2026-05-19 05:31:20	TRACE	SQLOperation	select E.propD as E_propD, E.propE as E_propE from E where E.propE in (?) | {1=1}
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:20	DEBUG	SimpleRelationalEntityPersister	selecting entities [1]
2026-05-19 05:31:20	TRACE	SQLOperation	select E.propD as E_propD, E.propE as E_propE from E where E.propE in (?) | {1=1}
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	update E set propD = ? where propE = ? | {1={E.propD (U)=42, E.propE (W)=1}}
2026-05-19 05:31:20	DEBUG	SimpleRelationalEntityPersister	selecting entities [1]
2026-05-19 05:31:20	TRACE	SQLOperation	select E.propD as E_propD, E.propE as E_propE from E where E.propE in (?) | {1=1}
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	delete from E where propE = ? | {1={E.propE=1}}
2026-05-19 05:31:20	TRACE	SQLOperation	select count(*) as count from E | {}
]]></system-out>
  </testcase>
  <testcase name="resolve_entityWithInheritance_onlyEntityInHierarchy_withJoiningTables_withExtraTable" classname="org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest" time="0.02">
    <system-out><![CDATA[2026-05-19 05:31:20	DEBUG	DDLDeployer	create table D(propC integer GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1) not null, propD integer not null, propA integer not null, unique (propC))
2026-05-19 05:31:20	DEBUG	DDLDeployer	create table E(propC integer not null, unique (propC))
2026-05-19 05:31:20	DEBUG	DDLDeployer	create table extraTable1(propE integer not null, propC integer not null, unique (propC))
2026-05-19 05:31:20	DEBUG	DDLDeployer	create table extraTable2(propB integer not null, propC integer not null, unique (propC))
2026-05-19 05:31:20	DEBUG	DDLDeployer	alter table E add constraint FK_E_propC_D_propC foreign key(propC) references D(propC)
2026-05-19 05:31:20	DEBUG	DDLDeployer	alter table extraTable1 add constraint FK_extraTable1_propC_E_propC foreign key(propC) references E(propC)
2026-05-19 05:31:20	DEBUG	DDLDeployer	alter table extraTable2 add constraint FK_extraTable2_propC_D_propC foreign key(propC) references D(propC)
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	insert into D(propA, propD, propC) values (?, ?, default) | {1={D.propA=0, D.propD=0}}
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	insert into extraTable2(propB, propC) values (?, ?) | {1={extraTable2.propB=0, extraTable2.propC=1}}
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	insert into E(propC) values (?) | {1={E.propC=1}}
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	insert into extraTable1(propE, propC) values (?, ?) | {1={extraTable1.propE=0, extraTable1.propC=1}}
2026-05-19 05:31:20	DEBUG	SimpleRelationalEntityPersister	selecting entities [1]
2026-05-19 05:31:20	TRACE	SQLOperation	select E.propC as E_propC, extraTable1.propE as extraTable1_propE, extraTable1.propC as extraTable1_propC, D.propA as D_propA, D.propD as D_propD, D.propC as D_propC, D_extraTable2.propB as D_extraTable2_propB, D_extraTable2.propC as D_extraTable2_propC from E inner join extraTable1 as extraTable1 on E.propC = extraTable1.propC inner join D as D on E.propC = D.propC inner join extraTable2 as D_extraTable2 on D.propC = D_extraTable2.propC where E.propC in (?) | {1=1}
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#1
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#1
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#1
2026-05-19 05:31:20	DEBUG	SimpleRelationalEntityPersister	selecting entities [1]
2026-05-19 05:31:20	TRACE	SQLOperation	select E.propC as E_propC, extraTable1.propE as extraTable1_propE, extraTable1.propC as extraTable1_propC, D.propA as D_propA, D.propD as D_propD, D.propC as D_propC, D_extraTable2.propB as D_extraTable2_propB, D_extraTable2.propC as D_extraTable2_propC from E inner join extraTable1 as extraTable1 on E.propC = extraTable1.propC inner join D as D on E.propC = D.propC inner join extraTable2 as D_extraTable2 on D.propC = D_extraTable2.propC where E.propC in (?) | {1=1}
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#1
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#1
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#1
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	update extraTable1 set propE = ? where propC = ? | {1={extraTable1.propE (U)=17, extraTable1.propC (W)=1}}
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	update D set propA = ?, propD = ? where propC = ? | {1={D.propA (U)=0, D.propC (W)=1, D.propD (U)=42}}
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	update extraTable2 set propB = ? where propC = ? | {1={extraTable2.propB (U)=19, extraTable2.propC (W)=1}}
2026-05-19 05:31:20	DEBUG	SimpleRelationalEntityPersister	selecting entities [1]
2026-05-19 05:31:20	TRACE	SQLOperation	select E.propC as E_propC, extraTable1.propE as extraTable1_propE, extraTable1.propC as extraTable1_propC, D.propA as D_propA, D.propD as D_propD, D.propC as D_propC, D_extraTable2.propB as D_extraTable2_propB, D_extraTable2.propC as D_extraTable2_propC from E inner join extraTable1 as extraTable1 on E.propC = extraTable1.propC inner join D as D on E.propC = D.propC inner join extraTable2 as D_extraTable2 on D.propC = D_extraTable2.propC where E.propC in (?) | {1=1}
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#1
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#1
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#1
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	delete from extraTable1 where propC = ? | {1={extraTable1.propC=1}}
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	delete from E where propC = ? | {1={E.propC=1}}
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	delete from extraTable2 where propC = ? | {1={extraTable2.propC=1}}
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	delete from D where propC = ? | {1={D.propC=1}}
2026-05-19 05:31:20	TRACE	SQLOperation	select count(*) as count from E | {}
2026-05-19 05:31:20	TRACE	SQLOperation	select count(*) as count from D | {}
]]></system-out>
  </testcase>
  <testcase name="resolve_oneEntity_withCompositeKey" classname="org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest" time="0.037">
    <system-out><![CDATA[2026-05-19 05:31:20	DEBUG	DDLDeployer	create table E(propX varchar(255) not null, propY varchar(255) not null, propD integer not null, unique (propX, propY))
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	insert into E(propD, propX, propY) values (?, ?, ?) | {1={E.propY=b, E.propD=0, E.propX=a}}
2026-05-19 05:31:20	DEBUG	SimpleRelationalEntityPersister	selecting entities [org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest$CompositeId@fe2]
2026-05-19 05:31:20	TRACE	SQLOperation	select E.propD as E_propD, E.propX as E_propX, E.propY as E_propY from E where (E.propX, E.propY) in ((?, ?)) | {1=a, 2=b}
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:20	DEBUG	SimpleRelationalEntityPersister	selecting entities [org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest$CompositeId@fe2]
2026-05-19 05:31:20	TRACE	SQLOperation	select E.propD as E_propD, E.propX as E_propX, E.propY as E_propY from E where (E.propX, E.propY) in ((?, ?)) | {1=a, 2=b}
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	update E set propD = ? where propX = ? and propY = ? | {1={E.propY (W)=b, E.propD (U)=42, E.propX (W)=a}}
2026-05-19 05:31:20	DEBUG	SimpleRelationalEntityPersister	selecting entities [org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest$CompositeId@fe2]
2026-05-19 05:31:20	TRACE	SQLOperation	select E.propD as E_propD, E.propX as E_propX, E.propY as E_propY from E where (E.propX, E.propY) in ((?, ?)) | {1=a, 2=b}
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	delete from E where propX = ? and propY = ? | {1={E.propY=b, E.propX=a}}
2026-05-19 05:31:20	TRACE	SQLOperation	select count(*) as count from E | {}
]]></system-out>
  </testcase>
  <testcase name="resolve_entityWithInheritance_onlyEntityInHierarchy_withJoiningTables_withCompositeKey" classname="org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest" time="0.014">
    <system-out><![CDATA[2026-05-19 05:31:20	DEBUG	DDLDeployer	create table D(propX varchar(255) not null, propY varchar(255) not null, propD integer not null, propB integer not null, propA integer not null, unique (propX, propY))
2026-05-19 05:31:20	DEBUG	DDLDeployer	create table E(propX varchar(255) not null, propY varchar(255) not null, propE integer not null, unique (propX, propY))
2026-05-19 05:31:20	DEBUG	DDLDeployer	alter table E add constraint FK_f7ced221 foreign key(propX, propY) references D(propX, propY)
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	insert into D(propA, propB, propD, propX, propY) values (?, ?, ?, ?, ?) | {1={D.propD=0, D.propA=0, D.propY=b, D.propB=0, D.propX=a}}
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	insert into E(propE, propX, propY) values (?, ?, ?) | {1={E.propX=a, E.propY=b, E.propE=0}}
2026-05-19 05:31:20	DEBUG	SimpleRelationalEntityPersister	selecting entities [org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest$CompositeId@fe2]
2026-05-19 05:31:20	TRACE	SQLOperation	select E.propE as E_propE, E.propX as E_propX, E.propY as E_propY, D.propA as D_propA, D.propB as D_propB, D.propD as D_propD, D.propX as D_propX, D.propY as D_propY from E inner join D as D on E.propX = D.propX and E.propY = D.propY where (E.propX, E.propY) in ((?, ?)) | {1=a, 2=b}
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest$CompositeId@fe2
2026-05-19 05:31:20	DEBUG	SimpleRelationalEntityPersister	selecting entities [org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest$CompositeId@fe2]
2026-05-19 05:31:20	TRACE	SQLOperation	select E.propE as E_propE, E.propX as E_propX, E.propY as E_propY, D.propA as D_propA, D.propB as D_propB, D.propD as D_propD, D.propX as D_propX, D.propY as D_propY from E inner join D as D on E.propX = D.propX and E.propY = D.propY where (E.propX, E.propY) in ((?, ?)) | {1=a, 2=b}
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest$CompositeId@fe2
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	update E set propE = ? where propX = ? and propY = ? | {1={E.propX (W)=a, E.propY (W)=b, E.propE (U)=17}}
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	update D set propA = ?, propB = ?, propD = ? where propX = ? and propY = ? | {1={D.propD (U)=42, D.propA (U)=0, D.propY (W)=b, D.propB (U)=19, D.propX (W)=a}}
2026-05-19 05:31:20	DEBUG	SimpleRelationalEntityPersister	selecting entities [org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest$CompositeId@fe2]
2026-05-19 05:31:20	TRACE	SQLOperation	select E.propE as E_propE, E.propX as E_propX, E.propY as E_propY, D.propA as D_propA, D.propB as D_propB, D.propD as D_propD, D.propX as D_propX, D.propY as D_propY from E inner join D as D on E.propX = D.propX and E.propY = D.propY where (E.propX, E.propY) in ((?, ?)) | {1=a, 2=b}
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest$CompositeId@fe2
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	delete from E where propX = ? and propY = ? | {1={E.propX=a, E.propY=b}}
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	delete from D where propX = ? and propY = ? | {1={D.propY=b, D.propX=a}}
2026-05-19 05:31:20	TRACE	SQLOperation	select count(*) as count from E | {}
2026-05-19 05:31:20	TRACE	SQLOperation	select count(*) as count from D | {}
]]></system-out>
  </testcase>
  <testcase name="resolve_entityWithInheritance_onlyEntityInHierarchy_withJoiningTables_withExtraTable_withCompositeKey" classname="org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest" time="0.016">
    <system-out><![CDATA[2026-05-19 05:31:20	DEBUG	DDLDeployer	create table D(propX varchar(255) not null, propY varchar(255) not null, propD integer not null, propA integer not null, unique (propX, propY))
2026-05-19 05:31:20	DEBUG	DDLDeployer	create table E(propX varchar(255) not null, propY varchar(255) not null, unique (propX, propY))
2026-05-19 05:31:20	DEBUG	DDLDeployer	create table extraTable1(propE integer not null, propX varchar(255) not null, propY varchar(255) not null, unique (propX, propY))
2026-05-19 05:31:20	DEBUG	DDLDeployer	create table extraTable2(propB integer not null, propX varchar(255) not null, propY varchar(255) not null, unique (propX, propY))
2026-05-19 05:31:20	DEBUG	DDLDeployer	alter table E add constraint FK_f7ced221 foreign key(propX, propY) references D(propX, propY)
2026-05-19 05:31:20	DEBUG	DDLDeployer	alter table extraTable1 add constraint FK_4b2f9054 foreign key(propX, propY) references E(propX, propY)
2026-05-19 05:31:20	DEBUG	DDLDeployer	alter table extraTable2 add constraint FK_4cd65172 foreign key(propX, propY) references D(propX, propY)
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	insert into D(propA, propD, propX, propY) values (?, ?, ?, ?) | {1={D.propA=0, D.propX=a, D.propY=b, D.propD=0}}
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	insert into extraTable2(propB, propX, propY) values (?, ?, ?) | {1={extraTable2.propY=b, extraTable2.propB=0, extraTable2.propX=a}}
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	insert into E(propX, propY) values (?, ?) | {1={E.propY=b, E.propX=a}}
2026-05-19 05:31:20	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:20	TRACE	SQLOperation	insert into extraTable1(propE, propX, propY) values (?, ?, ?) | {1={extraTable1.propE=0, extraTable1.propY=b, extraTable1.propX=a}}
2026-05-19 05:31:20	DEBUG	SimpleRelationalEntityPersister	selecting entities [org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest$CompositeId@fe2]
2026-05-19 05:31:20	TRACE	SQLOperation	select E.propX as E_propX, E.propY as E_propY, extraTable1.propE as extraTable1_propE, extraTable1.propX as extraTable1_propX, extraTable1.propY as extraTable1_propY, D.propA as D_propA, D.propD as D_propD, D.propX as D_propX, D.propY as D_propY, D_extraTable2.propB as D_extraTable2_propB, D_extraTable2.propX as D_extraTable2_propX, D_extraTable2.propY as D_extraTable2_propY from E inner join extraTable1 as extraTable1 on E.propX = extraTable1.propX and E.propY = extraTable1.propY inner join D as D on E.propX = D.propX and E.propY = D.propY inner join extraTable2 as D_extraTable2 on D.propX = D_extraTable2.propX and D.propY = D_extraTable2.propY where (E.propX, E.propY) in ((?, ?)) | {1=a, 2=b}
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest$CompositeId@fe2
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest$CompositeId@fe2
2026-05-19 05:31:20	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest$CompositeId@fe2
2026-05-19 05:31:20	DEBUG	SimpleRelationalEntityPersister	selecting entities [org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest$CompositeId@fe2]
2026-05-19 05:31:20	TRACE	SQLOperation	select E.propX as E_propX, E.propY as E_propY, extraTable1.propE as extraTable1_propE, extraTable1.propX as extraTable1_propX, extraTable1.propY as extraTable1_propY, D.propA as D_propA, D.propD as D_propD, D.propX as D_propX, D.propY as D_propY, D_extraTable2.propB as D_extraTable2_propB, D_extraTable2.propX as D_extraTable2_propX, D_extraTable2.propY as D_extraTable2_propY from E inner join extraTable1 as extraTable1 on E.propX = extraTable1.propX and E.propY = extraTable1.propY inner join D as D on E.propX = D.propX and E.propY = D.propY inner join extraTable2 as D_extraTable2 on D.propX = D_extraTable2.propX and D.propY = D_extraTable2.propY where (E.propX, E.propY) in ((?, ?)) | {1=a, 2=b}
2026-05-19 05:31:21	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:21	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest$CompositeId@fe2
2026-05-19 05:31:21	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest$CompositeId@fe2
2026-05-19 05:31:21	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest$CompositeId@fe2
2026-05-19 05:31:21	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:21	TRACE	SQLOperation	update extraTable1 set propE = ? where propX = ? and propY = ? | {1={extraTable1.propE (U)=17, extraTable1.propY (W)=b, extraTable1.propX (W)=a}}
2026-05-19 05:31:21	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:21	TRACE	SQLOperation	update D set propA = ?, propD = ? where propX = ? and propY = ? | {1={D.propA (U)=0, D.propX (W)=a, D.propY (W)=b, D.propD (U)=42}}
2026-05-19 05:31:21	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:21	TRACE	SQLOperation	update extraTable2 set propB = ? where propX = ? and propY = ? | {1={extraTable2.propY (W)=b, extraTable2.propB (U)=19, extraTable2.propX (W)=a}}
2026-05-19 05:31:21	DEBUG	SimpleRelationalEntityPersister	selecting entities [org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest$CompositeId@fe2]
2026-05-19 05:31:21	TRACE	SQLOperation	select E.propX as E_propX, E.propY as E_propY, extraTable1.propE as extraTable1_propE, extraTable1.propX as extraTable1_propX, extraTable1.propY as extraTable1_propY, D.propA as D_propA, D.propD as D_propD, D.propX as D_propX, D.propY as D_propY, D_extraTable2.propB as D_extraTable2_propB, D_extraTable2.propX as D_extraTable2_propX, D_extraTable2.propY as D_extraTable2_propY from E inner join extraTable1 as extraTable1 on E.propX = extraTable1.propX and E.propY = extraTable1.propY inner join D as D on E.propX = D.propX and E.propY = D.propY inner join extraTable2 as D_extraTable2 on D.propX = D_extraTable2.propX and D.propY = D_extraTable2.propY where (E.propX, E.propY) in ((?, ?)) | {1=a, 2=b}
2026-05-19 05:31:21	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:21	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest$CompositeId@fe2
2026-05-19 05:31:21	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest$CompositeId@fe2
2026-05-19 05:31:21	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest$CompositeId@fe2
2026-05-19 05:31:21	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:21	TRACE	SQLOperation	delete from extraTable1 where propX = ? and propY = ? | {1={extraTable1.propY=b, extraTable1.propX=a}}
2026-05-19 05:31:21	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:21	TRACE	SQLOperation	delete from E where propX = ? and propY = ? | {1={E.propY=b, E.propX=a}}
2026-05-19 05:31:21	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:21	TRACE	SQLOperation	delete from extraTable2 where propX = ? and propY = ? | {1={extraTable2.propY=b, extraTable2.propX=a}}
2026-05-19 05:31:21	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:21	TRACE	SQLOperation	delete from D where propX = ? and propY = ? | {1={D.propX=a, D.propY=b}}
2026-05-19 05:31:21	TRACE	SQLOperation	select count(*) as count from E | {}
2026-05-19 05:31:21	TRACE	SQLOperation	select count(*) as count from D | {}
]]></system-out>
  </testcase>
  <testcase name="resolve_entityWithInheritance_entityAndEmbeddableInHierarchy_noJoiningTables" classname="org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest" time="0.01">
    <system-out><![CDATA[2026-05-19 05:31:21	DEBUG	DDLDeployer	create table E(propE integer GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1) not null, propD integer not null, propB integer not null, propA integer not null, unique (propE))
2026-05-19 05:31:21	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:21	TRACE	SQLOperation	insert into E(propA, propB, propD, propE) values (?, ?, ?, default) | {1={E.propA=0, E.propB=0, E.propD=0}}
2026-05-19 05:31:21	DEBUG	SimpleRelationalEntityPersister	selecting entities [1]
2026-05-19 05:31:21	TRACE	SQLOperation	select E.propA as E_propA, E.propB as E_propB, E.propD as E_propD, E.propE as E_propE from E where E.propE in (?) | {1=1}
2026-05-19 05:31:21	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:21	DEBUG	SimpleRelationalEntityPersister	selecting entities [1]
2026-05-19 05:31:21	TRACE	SQLOperation	select E.propA as E_propA, E.propB as E_propB, E.propD as E_propD, E.propE as E_propE from E where E.propE in (?) | {1=1}
2026-05-19 05:31:21	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:21	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:21	TRACE	SQLOperation	update E set propA = ?, propB = ?, propD = ? where propE = ? | {1={E.propA (U)=0, E.propB (U)=0, E.propD (U)=42, E.propE (W)=1}}
2026-05-19 05:31:21	DEBUG	SimpleRelationalEntityPersister	selecting entities [1]
2026-05-19 05:31:21	TRACE	SQLOperation	select E.propA as E_propA, E.propB as E_propB, E.propD as E_propD, E.propE as E_propE from E where E.propE in (?) | {1=1}
2026-05-19 05:31:21	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:21	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:21	TRACE	SQLOperation	delete from E where propE = ? | {1={E.propE=1}}
2026-05-19 05:31:21	TRACE	SQLOperation	select count(*) as count from E | {}
]]></system-out>
  </testcase>
  <testcase name="resolve_entityWithInheritance_onlyEntityInHierarchy_withJoiningTables" classname="org.codefilarete.stalactite.engine.configurer.resolver.AggregateResolverTest" time="0.011">
    <system-out><![CDATA[2026-05-19 05:31:21	DEBUG	DDLDeployer	create table D(propC integer GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1) not null, propD integer not null, propB integer not null, propA integer not null, unique (propC))
2026-05-19 05:31:21	DEBUG	DDLDeployer	create table E(propC integer not null, propE integer not null, unique (propC))
2026-05-19 05:31:21	DEBUG	DDLDeployer	alter table E add constraint FK_E_propC_D_propC foreign key(propC) references D(propC)
2026-05-19 05:31:21	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:21	TRACE	SQLOperation	insert into D(propA, propB, propD, propC) values (?, ?, ?, default) | {1={D.propD=0, D.propB=0, D.propA=0}}
2026-05-19 05:31:21	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:21	TRACE	SQLOperation	insert into E(propE, propC) values (?, ?) | {1={E.propC=1, E.propE=0}}
2026-05-19 05:31:21	DEBUG	SimpleRelationalEntityPersister	selecting entities [1]
2026-05-19 05:31:21	TRACE	SQLOperation	select E.propE as E_propE, E.propC as E_propC, D.propA as D_propA, D.propB as D_propB, D.propD as D_propD, D.propC as D_propC from E inner join D as D on E.propC = D.propC where E.propC in (?) | {1=1}
2026-05-19 05:31:21	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:21	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#1
2026-05-19 05:31:21	DEBUG	SimpleRelationalEntityPersister	selecting entities [1]
2026-05-19 05:31:21	TRACE	SQLOperation	select E.propE as E_propE, E.propC as E_propC, D.propA as D_propA, D.propB as D_propB, D.propD as D_propD, D.propC as D_propC from E inner join D as D on E.propC = D.propC where E.propC in (?) | {1=1}
2026-05-19 05:31:21	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:21	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#1
2026-05-19 05:31:21	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:21	TRACE	SQLOperation	update D set propA = ?, propB = ?, propD = ? where propC = ? | {1={D.propD (U)=42, D.propC (W)=1, D.propB (U)=0, D.propA (U)=0}}
2026-05-19 05:31:21	DEBUG	SimpleRelationalEntityPersister	selecting entities [1]
2026-05-19 05:31:21	TRACE	SQLOperation	select E.propE as E_propE, E.propC as E_propC, D.propA as D_propA, D.propB as D_propB, D.propD as D_propD, D.propC as D_propC from E inner join D as D on E.propC = D.propC where E.propC in (?) | {1=1}
2026-05-19 05:31:21	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.c.r.AggregateResolverTest$E
2026-05-19 05:31:21	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.c.r.AggregateResolverTest$E#1
2026-05-19 05:31:21	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:21	TRACE	SQLOperation	delete from E where propC = ? | {1={E.propC=1}}
2026-05-19 05:31:21	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:21	TRACE	SQLOperation	delete from D where propC = ? | {1={D.propC=1}}
2026-05-19 05:31:21	TRACE	SQLOperation	select count(*) as count from E | {}
2026-05-19 05:31:21	TRACE	SQLOperation	select count(*) as count from D | {}
]]></system-out>
  </testcase>
</testsuite>